Package com.independentsoft.office.word.fields

# Class FormFieldProperties

java.lang.Object
com.independentsoft.office.word.fields.FormFieldProperties

public class FormFieldProperties extends Object
The Class FormFieldProperties.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FormFieldProperties()`
  Instantiates a new form field properties.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `FormFieldProperties`
  `clone()`
  `CheckBoxFormFieldProperties`
  `getCheckBoxFormFieldProperties()`
  Gets the check box form field properties.
  `DropDownListFormFieldProperties`
  `getDropDownListFormFieldProperties()`
  Gets the drop down list form field properties.
  `ExtendedBoolean`
  `getEnabled()`
  Gets the enabled.
  `String`
  `getEntryMacro()`
  Gets the entry macro.
  `String`
  `getExitMacro()`
  Gets the exit macro.
  `HelpText`
  `getHelpText()`
  Gets the help text.
  `String`
  `getName()`
  Gets the name.
  `ExtendedBoolean`
  `getRecalculateOnExit()`
  Gets the recalculate on exit.
  `StatusText`
  `getStatusText()`
  Gets the status text.
  `TextBoxFormFieldProperties`
  `getTextBoxFormFieldProperties()`
  Gets the text box form field properties.
  `void`
  `setEnabled​(ExtendedBoolean enabled)`
  Sets the enabled.
  `void`
  `setEntryMacro​(String entryMacro)`
  Sets the entry macro.
  `void`
  `setExitMacro​(String exitMacro)`
  Sets the exit macro.
  `void`
  `setHelpText​(HelpText helpText)`
  Sets the help text.
  `void`
  `setName​(String name)`
  Sets the name.
  `void`
  `setRecalculateOnExit​(ExtendedBoolean recalculateOnExit)`
  Sets the recalculate on exit.
  `void`
  `setStatusText​(StatusText statusText)`
  Sets the status text.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### FormFieldProperties

    public FormFieldProperties()
    Instantiates a new form field properties.

- ## Method Details

  - ### clone

    public FormFieldProperties clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getRecalculateOnExit

    public ExtendedBoolean getRecalculateOnExit()
    Gets the recalculate on exit.
    Returns:
      the recalculate on exit

  - ### setRecalculateOnExit

    public void setRecalculateOnExit​(ExtendedBoolean recalculateOnExit)
    Sets the recalculate on exit.
    Parameters:
      `recalculateOnExit` - the new recalculate on exit

  - ### getCheckBoxFormFieldProperties

    public CheckBoxFormFieldProperties getCheckBoxFormFieldProperties()
    Gets the check box form field properties.
    Returns:
      the check box form field properties

  - ### getDropDownListFormFieldProperties

    public DropDownListFormFieldProperties getDropDownListFormFieldProperties()
    Gets the drop down list form field properties.
    Returns:
      the drop down list form field properties

  - ### getEnabled

    public ExtendedBoolean getEnabled()
    Gets the enabled.
    Returns:
      the enabled

  - ### setEnabled

    public void setEnabled​(ExtendedBoolean enabled)
    Sets the enabled.
    Parameters:
      `enabled` - the new enabled

  - ### getEntryMacro

    public String getEntryMacro()
    Gets the entry macro.
    Returns:
      the entry macro

  - ### setEntryMacro

    public void setEntryMacro​(String entryMacro)
    Sets the entry macro.
    Parameters:
      `entryMacro` - the new entry macro

  - ### getExitMacro

    public String getExitMacro()
    Gets the exit macro.
    Returns:
      the exit macro

  - ### setExitMacro

    public void setExitMacro​(String exitMacro)
    Sets the exit macro.
    Parameters:
      `exitMacro` - the new exit macro

  - ### getHelpText

    public HelpText getHelpText()
    Gets the help text.
    Returns:
      the help text

  - ### setHelpText

    public void setHelpText​(HelpText helpText)
    Sets the help text.
    Parameters:
      `helpText` - the new help text

  - ### getName

    public String getName()
    Gets the name.
    Returns:
      the name

  - ### setName

    public void setName​(String name)
    Sets the name.
    Parameters:
      `name` - the new name

  - ### getStatusText

    public StatusText getStatusText()
    Gets the status text.
    Returns:
      the status text

  - ### setStatusText

    public void setStatusText​(StatusText statusText)
    Sets the status text.
    Parameters:
      `statusText` - the new status text

  - ### getTextBoxFormFieldProperties

    public TextBoxFormFieldProperties getTextBoxFormFieldProperties()
    Gets the text box form field properties.
    Returns:
      the text box form field properties